- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DAnimation
- QAnimationGroup
- Qt 6.5.1 Reference Documentation

# QAnimationGroup Class

class Qt3DAnimation::QAnimationGroup

A class grouping animations together. More...

Header: | #include <QAnimationGroup>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3danimation) target_link_libraries(mytarget PRIVATE Qt6::3danimation)
qmake: | QT += 3danimation
Inherits: | QObject

- List of all members, including inherited members

## Properties

- duration : const float
- name : QString
- position : float

## Public Functions

| QAnimationGroup(QObject *parent = nullptr)
void | addAnimation(Qt3DAnimation::QAbstractAnimation *animation)
QList<Qt3DAnimation::QAbstractAnimation *> | animationList()
float | duration() const
QString | name() const
float | position() const
void | removeAnimation(Qt3DAnimation::QAbstractAnimation *animation)
void | setAnimations(const QList<Qt3DAnimation::QAbstractAnimation *> &animations)

## Public Slots

void | setName(const QString &name)
void | setPosition(float position)

## Signals

void | durationChanged(float duration)
void | nameChanged(const QString &name)
void | positionChanged(float position)

## Detailed Description

Qt3DAnimation::QAnimationGroup class is used to group multiple animations so that they can act as one animation. The position set to the group is also set to all animations in a group. The duration is the maximum of the individual animations. The animations can be any supported animation type and do not have to have the same name.

## Property Documentation

### `[read-only]` duration : const float

Holds the maximum duration of the animations in the group.

Access functions:

float | duration() const

Notifier signal:

void | durationChanged(float duration)

### name : QString

Holds the name of the animation group.

Access functions:

QString | name() const
void | setName(const QString &name)

Notifier signal:

void | nameChanged(const QString &name)

### position : float

Holds the animation position.

Access functions:

float | position() const
void | setPosition(float position)

Notifier signal:

void | positionChanged(float position)

## Member Function Documentation

### `[explicit]` QAnimationGroup::QAnimationGroup(QObject *parent = nullptr)

Constructs an QAnimationGroup with parent.

### void QAnimationGroup::addAnimation(Qt3DAnimation::QAbstractAnimation *animation)

Adds new animation to the group.

### QList<Qt3DAnimation::QAbstractAnimation *> QAnimationGroup::animationList()

Returns the list of animations in the group.

### void QAnimationGroup::removeAnimation(Qt3DAnimation::QAbstractAnimation *animation)

Removes animation from the group.

### void QAnimationGroup::setAnimations(const QList<Qt3DAnimation::QAbstractAnimation *> &animations)

Sets the animations to the group. Old animations are removed.